| Home | Libraries | People | FAQ | More

## Struct template impl

boost::proto::_state::impl

## Synopsis

    // In header: <boost/proto/transform/arg.hpp>

    template<typename Expr, typename State, typename Data>
    struct impl :  proto::transform_impl< Expr, State, Data > {
      // types
      typedef State result_type;

      // public member functions
      State operator()(typename impl::expr_param, typename impl::state_param,
                       typename impl::data_param) const;
    };

## Description

### `impl` public member functions

1.     State operator()(typename impl::expr_param, typename impl::state_param state,
                        typename impl::data_param) const;

   Returns the current state.

   Parameters: |
   `state` | The current state.
   Returns: | `state`
   Throws: | Will not throw.